
Foreman - Bug #29010

graphql:  even if a user has the create permission the user cannot create the object

02/14/2020 08:46 AM - Kamil Szubrycht

Status: Closed   

Priority: Normal   

Assignee: Kamil Szubrycht   

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 1.24.3, 2.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7440,

https://github.com/theforeman/foreman/p

ull/7446,

https://github.com/theforeman/foreman/p

ull/7455

  

Description

Associated revisions

Revision 276240d2 - 02/18/2020 08:48 AM - Kamil Szubrycht 

Fixes #29010 - graphql: fix creating object by user with create permission

History

#1 - 02/17/2020 11:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7440 added

#2 - 02/18/2020 08:48 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 02/18/2020 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 276240d2d36670aa90f161e08ea1df355bbdaf3c.

#4 - 02/18/2020 01:47 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7446 added

#5 - 02/19/2020 09:21 AM - Tomer Brisker

- Fixed in Releases 2.0.0 added

- Fixed in Releases deleted (2.1.0)

#6 - 02/19/2020 09:23 AM - Tomer Brisker

- Assignee set to Kamil Szubrycht

#7 - 02/21/2020 01:16 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7455 added

#8 - 05/20/2020 09:51 AM - Tomer Brisker

- Fixed in Releases 1.24.3 added
